Package com.documentum.fc.common

# Class DfId

java.lang.Object
com.documentum.fc.common.DfId

All Implemented Interfaces:
  `IDfId`, `com.documentum.fc.tracing.ITraceString`, `Serializable`

public final class DfId extends Object implements IDfId, com.documentum.fc.tracing.ITraceString, Serializable
A Documentum object identifier.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final DfId`
  `DF_NULLID`
  A null ID.
  `static final String`
  `DF_NULLID_STR`
  The string representation of a null ID.

  ### Fields inherited from interface com.documentum.fc.common.IDfId

  `DM_ACL, DM_ACTIVITY, DM_AGGR_DOMAIN, DM_ALIAS_SET, DM_API, DM_ASSEMBLY, DM_AUDIT_TRAIL, DM_BLOB_TICKET, DM_BLOBSTORE, DM_BUILTIN_EXPR, DM_BWS, DM_CA_STORE_TAG, DM_CABINET, DM_CHANGE_RECORD, DM_CLIENTRIGHTSDOMAIN_TAG, DM_COLLECTION, DM_COND_EXPR, DM_COND_ID_EXPR, DM_CONTAINMENT, DM_CONTENT, DM_DD_ATTR_INFO, DM_DD_COMMON_INFO, DM_DD_INFO, DM_DD_TYPE_INFO, DM_DISPLAY_CONFIG, DM_DIST_COMP_RECORD, DM_DISTRIBUTEDSTORE, DM_DOCBASE_CONFIG, DM_DOCBASEID_MAP, DM_DOCBROKER, DM_DOCUMENT, DM_DOMAIN, DM_DUMP_OBJECT_RECORD, DM_DUMP_RECORD, DM_EVENT, DM_EXPR_CODE, DM_EXPRESSION, DM_EXTERNALSTORE_FILE_TAG, DM_EXTERNALSTORE_FREE_TAG, DM_EXTERNALSTORE_TAG, DM_EXTERNALSTORE_URL_TAG, DM_FEDERATION, DM_FILE, DM_FILESTORE, DM_FOLDER, DM_FOREIGN_KEY, DM_FORMAT, DM_FULLTEXT, DM_FULLTEXT_INDEX, DM_FUNC_EXPR, DM_GROUP, DM_INBOX, DM_INDEX, DM_KEY, DM_LIGHTWEIGHT_TAG, DM_LINKEDSTORE, DM_LINKRECORD, DM_LITERAL_EXPR, DM_LOAD_OBJECT_RECORD, DM_LOAD_RECORD, DM_LOCATION, DM_METHOD, DM_MOUNT_POINT, DM_NETSTORE, DM_NLS_DD_INFO, DM_NOTE, DM_OBJECT, DM_OTHERFILE, DM_OUTPUTDEVICE, DM_PACKAGE, DM_PARTITION_SCHEME, DM_PLUGIN, DM_POLICY, DM_PROCESS, DM_QUERY, DM_QUEUE_ITEM, DM_RECOVERY, DM_REFERENCE, DM_REGISTERED, DM_REGISTRY, DM_RELATION, DM_RELATIONTYPE, DM_REMOTESTORE, DM_REMOTETICKET, DM_REPLICA_RECORD, DM_ROUTER, DM_SCOPE_CONFIG, DM_SEQUENCE, DM_SERVER_CONFIG, DM_SESSION, DM_STAGED_DOCUMENT, DM_STORE, DM_SUBCONTENT, DM_SYSOBJECT, DM_TRANSACTION_LOG, DM_TYPE, DM_TYPE_INFO, DM_TYPE_MANAGER, DM_UNUSED1, DM_UNUSED2, DM_UNUSED3, DM_UNUSED4, DM_UNUSED5, DM_USER, DM_USER_INFO, DM_VALUE_ASSIST, DM_VALUE_FUNC, DM_VALUE_LIST, DM_VALUE_QUERY, DM_VERITY_COLL, DM_VERITY_INDEX, DM_VSTAMP, DM_WORKFLOW, DM_WORKITEM`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DfId(int typePart, long docbasePart, long objectPart)`
  Constructs a new instance from the individual pieces of the object Id.
  `DfId(String string)`
  Constructs a new instance from a string repsentation of the object Id.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(IDfId id)`
  Returns -1, 0 or 1 if this IDfId is less than, equal to, or greater than the IDfId passed as an argument.
  `boolean`
  `equals(Object that)`
  Indicates whether some other object is "equal to" this one.
  `String`
  `getDocbaseId()`
  Returns the portion of the ID that identifies the repository.
  `String`
  `getId()`
  Returns a string representation of the ID.
  `long`
  `getNumericDocbaseId()`
  Returns the portion of the ID that represents the docbase ID in integer form.
  `int`
  `getTypePart()`
  Returns the portion of the ID that represents the object type.
  `final int`
  `hashCode()`
  `boolean`
  `isNull()`
  Indicates whether this IDfId object represents a null ID. ("0000000000000000").
  `boolean`
  `isObjectId()`
  Indicates whether this ID is a valid object ID.
  `static boolean`
  `isObjectId(String string)`
  Indicates whether the given string is a properly formed object id.
  `DfId`
  `nextSequentialId()`
  Generates an object Id for the next sequential object Id.
  `final String`
  `toString()`
  Returns a string representation of this ID.
  `String`
  `toTraceString(boolean verbose)`
  `static DfId`
  `valueOf(String string)`
  Returns an instance with a value represented by the specified String.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### DF_NULLID_STR

    public static final String DF_NULLID_STR
    The string representation of a null ID.
    See Also:
      - Constant Field Values

  - ### DF_NULLID

    public static final DfId DF_NULLID
    A null ID.

- ## Constructor Details

  - ### DfId

    public DfId(String string)
    Constructs a new instance from a string repsentation of the object Id.
    Parameters:
      `string` - a string representation of the object identifier

  - ### DfId

    public DfId(int typePart, long docbasePart, long objectPart)
    Constructs a new instance from the individual pieces of the object Id.

- ## Method Details

  - ### nextSequentialId

    public DfId nextSequentialId()
    Generates an object Id for the next sequential object Id.

    This method is intended for internal use only.

  - ### getId

    public String getId()
    Description copied from interface: `IDfId`
    Returns a string representation of the ID.
    Specified by:
      `getId` in interface `IDfId`
    Returns:
      the ID as a string.

  - ### getTypePart

    public int getTypePart()
    Description copied from interface: `IDfId`
    Returns the portion of the ID that represents the object type.

    The type part is converted to an integer. For example, if the underlying ID is "099af3ce800001ff", this method returns 9. If the ID is "469af3ce80000200", this method returns 70 decimal (46 hex).

    Specified by:
      `getTypePart` in interface `IDfId`
    Returns:
      an integer expressing the object type

  - ### getDocbaseId

    public String getDocbaseId()
    Description copied from interface: `IDfId`
    Returns the portion of the ID that identifies the repository.
    Specified by:
      `getDocbaseId` in interface `IDfId`
    Returns:
      the portion of the ID that identifies the repository. If this ID was created from a string that does not represent a repository object, the results are undefined.

  - ### getNumericDocbaseId

    public long getNumericDocbaseId()
    Description copied from interface: `IDfId`
    Returns the portion of the ID that represents the docbase ID in integer form.
    Specified by:
      `getNumericDocbaseId` in interface `IDfId`
    Returns:
      an integer expressing the docbase ID

  - ### isObjectId

    public boolean isObjectId()
    Description copied from interface: `IDfId`
    Indicates whether this ID is a valid object ID.
    Specified by:
      `isObjectId` in interface `IDfId`

  - ### isNull

    public boolean isNull()
    Description copied from interface: `IDfId`
    Indicates whether this IDfId object represents a null ID. ("0000000000000000").
    Specified by:
      `isNull` in interface `IDfId`
    Returns:
      `true` if this object represents the NULLID, or `false` if it is not.

  - ### compareTo

    public int compareTo(IDfId id)
    Description copied from interface: `IDfId`
    Returns -1, 0 or 1 if this IDfId is less than, equal to, or greater than the IDfId passed as an argument. If the ID argument does not represent a Documentum ID, the results of this method are undefined.
    Specified by:
      `compareTo` in interface `IDfId`
    Parameters:
      `id` - another IDfId instance.
    Returns:
      -1 if this ID is less than the argument, 0 if the two IDs are equal, or 1 if this ID is greater than the argument ID.

  - ### toString

    public final String toString()
    Description copied from interface: `IDfId`
    Returns a string representation of this ID.
    Specified by:
      `toString` in interface `IDfId`
    Overrides:
      `toString` in class `Object`
    Returns:
      a string representation of this ID.

  - ### toTraceString

    public String toTraceString(boolean verbose)
    Specified by:
      `toTraceString` in interface `com.documentum.fc.tracing.ITraceString`

  - ### equals

    public boolean equals(Object that)
    Description copied from interface: `IDfId`
    Indicates whether some other object is "equal to" this one.

    If the argument is not an instance of IDfId, this method returns `false`. If this object represents a NULLID ("0000000000000000") and the argument `id` equals `null` (or if it is a NULLID itself), this method will return `true`.

    Specified by:
      `equals` in interface `IDfId`
    Overrides:
      `equals` in class `Object`
    Parameters:
      `that` - another object
    Returns:
      `true` if the argument ID is equal to this one, or `false` if it is not equal.

  - ### hashCode

    public final int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### valueOf

    public static DfId valueOf(String string)
    Returns an instance with a value represented by the specified String.
    Parameters:
      `string` - a string.
    Returns:
      an instance with a value represented by the specified String

  - ### isObjectId

    public static boolean isObjectId(String string)
    Indicates whether the given string is a properly formed object id.
    Parameters:
      `string` - a string